%define lib_name %mklibname totem-plparser 0


%define build_gstreamer 1
%{?_with_gstreamer: %{expand: %%global build_gstreamer 1}}
%{?_without_gstreamer: %{expand: %%global build_gstreamer 0}}

%define xineversion 1-0.rc4
%define gstver 0.8.0

Summary: Movie player for GNOME 2
Name: totem
Version: 1.0.4
Release: 2mdk
Source0: http://ftp.gnome.org/pub/GNOME/sources/totem/%{name}-%{version}.tar.bz2
Source1: %name-16.png
Source2: %name-32.png
License: GPL
Group: Video
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://www.hadess.net/totem.php3
%if %build_gstreamer
BuildRequires: gstreamer-plugins-devel >= %gstver
%endif
BuildRequires: libxine-devel >= %xineversion
BuildRequires: libnvtvsimple-devel
BuildRequires: scrollkeeper
BuildRequires: liblirc-devel
BuildRequires: libnautilus-devel
BuildRequires: libnautilus-burn-devel
BuildRequires: intltool
Requires: xine-plugins >= %xineversion
Requires: XFree86-libs >= 4.3-13mdk
PreReq: scrollkeeper >= 0.3
Requires: totem-common = %{version}-%{release}


%description
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

%if %build_gstreamer
%package gstreamer
Summary: %{summary}
Group:		%{group}
Requires: gstreamer-xvideosink >= %gstver
Requires: gstreamer-audiosink >= %gstver
Requires: gstreamer-GConf >= %gstver
Requires: gstreamer-avi >= %gstver
Requires: gstreamer-ffmpeg >= %gstver
Requires: totem-common = %{version}-%{release}

%description gstreamer
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

%endif

%package common
Summary: Common data files for totem 
Group:	%{group}
Conflicts:	totem <= 1.0-3mdk

%description common
Common data files used by Totem.

%package -n	%{lib_name}
Summary:	%{summary}
Group:		%{group}

%description -n	%{lib_name}
Shared library used by totem.

%package -n	%{lib_name}-devel
Summary:	Static libraries, include files for totem playlist parser
Group:		Development/GNOME and GTK+
Provides:	totem-plparser-devel = %{version}
Provides:	libtotem-plparser-devel = %{version}
Requires:	%{lib_name} = %{version}

%description -n	%{lib_name}-devel
Static libraries, include files for totem playlist parser


%prep
%setup -q

%build

# Build xine version
[ -d xine-build ] || mkdir xine-build
cd xine-build

CONFIGURE_TOP=.. %configure2_5x \
	--disable-gstreamer
%make
cd ..

%if %build_gstreamer
# Build gstreamer version
[ -d gstreamer-build ] || mkdir gstreamer-build
cd gstreamer-build

CONFIGURE_TOP=.. %configure2_5x \
	--enable-gstreamer
%make
cd ..
%endif


%install
rm -rf $RPM_BUILD_ROOT

cd xine-build
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
cd ..
mv $RPM_BUILD_ROOT%{_bindir}/totem $RPM_BUILD_ROOT%{_bindir}/totem-xine
mv $RPM_BUILD_ROOT%{_bindir}/totem-video-thumbnailer $RPM_BUILD_ROOT%{_bindir}/totem-video-thumbnailer-xine
mv $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/libtotem-properties-page.so $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/libtotem-properties-page-xine

%if %build_gstreamer
cd gstreamer-build
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
cd ..
mv $RPM_BUILD_ROOT%{_bindir}/totem $RPM_BUILD_ROOT%{_bindir}/totem-gstreamer
mv $RPM_BUILD_ROOT%{_bindir}/totem-video-thumbnailer $RPM_BUILD_ROOT%{_bindir}/totem-video-thumbnailer-gstreamer
mv $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/libtotem-properties-page.so $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/libtotem-properties-page-gstreamer
%endif

%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

#menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}-xine" \
	needs="X11" \
	section="Multimedia/Video" \
	icon="totem.png" \
	mimetypes="video/dv,video/mpeg,video/msvideo,video/quicktime,video/x-anim,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,video/x-nsv,video/x-flc,video/x-fli,application/ogg,application/x-ogg,audio/basic,audio/x-mp3,audio/x-mpeg,audio/mpeg,audio/x-wav,audio/x-mpegurl,audio/x-scpls,audio/x-m4a,audio/x-ms-asf,audio/x-ms-asx,audio/x-ms-wax,application/vnd.rn-realmedia,audio/x-real-audio,audio/x-pn-realaudio,application/x-flac,audio/x-flac,misc/ultravox,application/x-matroska" \
	accept_url="true" \
	multiple_files="true" \
	title="Totem Movie Player" \
	longtitle="Play movies and songs" \
	startup_notify="true" \
	kde_opt="InitialPreference=10"
?package(%{name}): \
	command="%{_bindir}/%{name}-xine" \
	needs="X11" \
	section="Multimedia/Sound" \
	icon="totem.png" \
	title="Totem Media Player" \
	longtitle="Play movies and songs" \
	startup_notify="true" \
	kde_opt="InitialPreference=10"

EOF

%if %build_gstreamer
cat $RPM_BUILD_ROOT%{_menudir}/%{name} | sed -e 's/xine/gstreamer/g' -e 's/package(totem)/package(totem-gstreamer)/g' > $RPM_BUILD_ROOT%{_menudir}/%{name}-gstreamer
%endif

#icons
mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/pixmaps/media-player-48.png %buildroot/%_liconsdir/%name.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%name.png
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%name.png

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post common
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/totem.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas > /dev/null

%post
update-alternatives --install %{_bindir}/totem totem /usr/bin/totem-xine 20 --slave %{_libdir}/nautilus/extensions-1.0/libtotem-properties-page.so totem_nautilus_properties %{_libdir}/nautilus/extensions-1.0/libtotem-properties-page-xine --slave %{_bindir}/totem-video-thumbnailer totem-video-thumbnailer /usr/bin/totem-video-thumbnailer-xine 
%{update_menus}


%preun common
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/totem.schemas > /dev/null
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas > /dev/null
fi

%postun common
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove totem /usr/bin/totem-xine 
fi
%{clean_menus}

%triggerpostun -- totem < 1.0.1-2mdk
update-alternatives --auto totem


%if %build_gstreamer
%post gstreamer
update-alternatives --install %{_bindir}/totem totem /usr/bin/totem-gstreamer 10 --slave %{_libdir}/nautilus/extensions-1.0/libtotem-properties-page.so totem_nautilus_properties %{_libdir}/nautilus/extensions-1.0/libtotem-properties-page-gstreamer --slave %{_bindir}/totem-video-thumbnailer totem-video-thumbnailer /usr/bin/totem-video-thumbnailer-gstreamer
%{update_menus}

%postun gstreamer
if [ "$1" = "0" ]; then
  update-alternatives --remove totem /usr/bin/totem-gstreamer
fi
%{clean_menus}
%endif

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files common -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO NEWS data/lirc_example
%_sysconfdir/gconf/schemas/*
%_datadir/pixmaps/*
%dir %_datadir/omf/totem/
%_datadir/omf/totem/totem-C.omf
%_datadir/totem
%_datadir/applications/*
%_mandir/man1/*
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%files 
%defattr(-,root,root)
%_bindir/*-gstreamer
%_bindir/*-xine
%_libdir/nautilus/extensions-1.0/*-xine
%_menudir/%name

%if %build_gstreamer
%files gstreamer
%defattr(-,root,root)
%_bindir/*-gstreamer
%_libdir/nautilus/extensions-1.0/*-gstreamer
%_menudir/%name-gstreamer
%endif

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/totem
%{_libdir}/pkgconfig/*

%changelog
* Fri Aug 19 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0.4-2mdk
- Add conflict to allow to install from mdk 10.2

* Thu Jun 23 2005 Gtz Waschk <waschk@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 1.0.2-1mdk
- drop merged patch
- New release 1.0.2

* Wed Apr 27 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-4mdk 
- Change nautilus extension filename to prevent warning

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 1.0.1-3mdk
- fix typo on the update-alternatives call

* Mon Apr 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-2mdk 
- Create subpackage totem-gstreamer for gstreamer backend

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-1mdk 
- Release 1.0.1
- Remove patches 0, 1, 2 (merged upstream)

* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-3mdk 
- Patch2: fix i18n init for windows name

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk 
- Patch0 (CVS): fix crash with some ASF file
- Patch1 (CVS): fix DND from konqueror

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk 
- Release 1.0
- Regenerate patch0

* Fri Jan 28 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.101-3mdk
- fix buildrequires

* Fri Jan 28 2005 Christiaan Welvaart <cjw@daneel.dydndns.org> 0.101-2mdk
- add BuildRequires: libnautilus-devel

* Tue Jan 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.101-1mdk
- New release 0.101
- Patch0 : use old (ie 2.8.x) nautilus-burn API

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.100-2mdk 
- Rebuild with latest howl

* Mon Jan  3 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.100-1mdk
- New release 0.100

* Sun Nov 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.99.22-2mdk
- add BuildRequires: libgnomeui2-devel libgnome-desktop-2-devel

* Sun Nov 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.22-1mdk
- New release 0.99.22

* Fri Nov 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.21-2mdk 
- Remove patch1 (merged upstream)

* Fri Nov 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.21-1mdk
- drop patch 2
- New release 0.99.21

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.20-3mdk
- Fix mimetype

* Tue Nov 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.20-2mdk
- disable colorkey (fixes bug #11273)

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.20-1mdk
- New release 0.99.20
- add omf files to lang
- don't depend on gnome-desktop
- needs libnautilus-burn
- drop patches 0,2,3,4

* Mon Oct 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-5mdk
- Update patch2 to fix parsing of Real/asf files

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-4mdk
- Patch2 (CVS): various bug fixes
- Patch3: fix error message when playing crypted DVD
- Patch4: fix remote action when using dvd: or cd:

* Mon Sep 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.15.1-3mdk
- Descease InitialPreference to launch kaffeine under KDE environement

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-2mdk
- Patch0: fix KDE detection (Mdk bug #10991)
- Patch1: add thumbnail for Matroska

* Sat Jul 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.15.1-1mdk
- New release 0.99.15.1

* Fri Jul 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.14-1mdk
- drop yelp stuff
- New release 0.99.14

* Sun Jul  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.13-1mdk
- new version

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.12-1mdk
- add source URL
- New release 0.99.12

* Fri Jun  4 2004  <lmontel@komp1.mandrakesoft.com> 0.99.11-2mdk
- REbuild

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.11-1mdk
- requires new xine
- new version

* Mon Apr 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-2mdk
- drop the patch

* Fri Apr  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-1mdk
- add man page
- requires new xine
- build with nvtv
- don't require curl anymore
- drop patch 1
- new version

* Sun Feb 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.9-4mdk
- patch from cvs to fix bug #8417
- fix buildrequires

* Tue Feb 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.9-3mdk
- revert the configuration of the vcd plugin
- add NEWS to the file list

* Sun Feb 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.9-2mdk
- Add audio/basic mimetype

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.9-1mdk
- Release 0.99.9
- Remove patch2 (merged upstream)
- add more mimetypes

* Tue Feb 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.8-2mdk
- Add audio/x-scpls and application/ogg mimetypes

* Sun Nov  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.8-1mdk
- add the manual
- add the audio/x-ms-asf mime type 
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.7-1mdk
- rediff patch 2
- drop patches 0,1
- new version

* Wed Oct 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.4-5mdk
- Patch2 (gb): various fixes (64-bit, missing includes, bad return values)

* Fri Sep 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.4-4mdk
- Patch1 : remove debug message

* Fri Sep 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.4-3mdk
- Patch0 (CVS): correctly disable xscreensaver in fullscreen mode

* Thu Sep  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.4-2mdk
- add a build conditional for gstreamer support to the spec   

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.4-1mdk
- Release 0.99.4
- Remove patch 0 (merged upstream)

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.3-1mdk
- Release 0.99.3
- Remove patches 0, 1 & 2 (merged upstream)
- Patch0 (CVS): various CVS fixes

* Thu Aug 28 2003 David Baudens <baudens@mandrakesoft.com> 0.99.2-8mdk
- Add audio/x-mpegurl support in mimetype
- Add kde_opt="InitialPreference=15" to menu entry

* Thu Aug 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.2-7mdk
- Patch1 : use konqueror instead of nautilus if running under KDE (bug
  #4820)
- Patch2 : fix modality problem with screenshot file selector (bug #4819)
- Add another menu entry in Multimedia/Sound (without mimetype)

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-6mdk
- arrgh, another buildrequires fix

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-5mdk
- another buildrequires fix

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-4mdk
- fix buildrequires
- only uninstall schemas on deinstallation

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.99.2-3mdk
- Update patch0 from hadess

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.99.2-2mdk
- Remove patch0, no longer needed with XF 4.3-13mdk
- Patch0 (hadess): fix curl detection
- Fix BuildRequires

* Sun Jul  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-1mdk
- rediff the patch
- add schemas uninstallation
- new version

* Mon Jun 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.1-1mdk
- new version

* Tue Jun  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-2mdk
- fix buildrequires

* Wed May 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-1mdk
- new version

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.98.0-1mdk
- Release 0.98.0

* Wed Apr 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.97.0-1mdk
- Release 0.97.0
- Remove patch0 (merged upstream)
- Patch0: disable XInitThreads until XFree86 is fixed

* Mon Apr 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.96.0-2mdk
- fix the thumbnailer

* Thu Apr 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.96.0-1mdk
- Release 0.96.0

* Sat Mar  1 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.95.1-2mdk
- Fix video thumbnail schema
- Add startup notify support

* Fri Feb 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.95.1-1mdk
- new version

* Thu Jan 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90.0-1mdk
- add video thumbnailer incl. schema
- remove gnomevfs plugin
- drop patch
- new version

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-4mdk
- temporal patch to disable some gnome-vfs2 feature to allow build
- rebuild against latest ssl

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-3mdk
- rebuild

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-2mdk
- fix schema installation

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-1mdk
- new version

* Sun Dec  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.0-1mdk
- new version

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1
- Add missing schema registration

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.12.0-1mdk
- fix xine plugins dir
- requires libxine1
- new version

* Tue Oct 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.11.0-1mdk
- build with lirc support
- new version

* Mon Sep 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-3mdk
- fix menu

* Fri Sep 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-2mdk
- requires xine-plugins (of course)

* Thu Sep 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-1mdk
- initial Mandrake package
